logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



Installtion of apache V14 with PHP V11 possible?

 
Post new topic   Reply to topic    Apache Forum Index -> Other Software



View previous topic :: View next topic  
Author Message
frankwebphp



Joined: 02 Feb 2017
Posts: 3

PostPosted: Thu 02 Feb '17 11:14    Post subject: Installtion of apache V14 with PHP V11 possible? Reply with quote

Hi,
I want to install the apache version "httpd-2.4.25-x64-vc14-r1" and the php version "php-5.6.8-Win32-VC11-x64", "php-5.6.19-Win32-VC11-x64" and perhaps later to "php-7.0.5-Win32-VC14-x64"

Is it possible to install Apache VC14 and use PHP VC11 or do I need the apache V11 version also? So if I want to use PHP 7 later I don't have to install a new apache version.

And how can I switch easily between the different kind of PHP versions?

Thanks
Back to top
spser



Joined: 29 Aug 2016
Posts: 28

PostPosted: Fri 03 Feb '17 3:34    Post subject: Re: Installtion of apache V14 with PHP V11 possible? Reply with quote

try qampp.

os688.com
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 780
Location: Amsterdam, NL, EU

PostPosted: Fri 03 Feb '17 23:43    Post subject: Re: Installtion of apache V14 with PHP V11 possible? Reply with quote

spser wrote:
os688.com

Ouch:
Quote:
The site ahead contains harmful programs

Attackers on os688.com might attempt to trick you into installing programs that harm your browsing experience (for example, by changing your homepage or showing extra ads on sites you visit).
Back to top
glsmith
Moderator


Joined: 16 Oct 2007
Posts: 2101
Location: Sun Diego, USA

PostPosted: Sat 04 Feb '17 1:46    Post subject: Reply with quote

What about running php under mod_fcgid? It will allow you to run any PHP x64 or x86. You can also run php7 for one vhost and 5.6 for another.

You can run VC11 php on VC14 Apache without mod_fcgid just not the other way around. However switching php versions back and forth may prove quite difficult.
Back to top
spser



Joined: 29 Aug 2016
Posts: 28

PostPosted: Sat 04 Feb '17 3:08    Post subject: Re: Installtion of apache V14 with PHP V11 possible? Reply with quote

Jan-E wrote:
spser wrote:
os688.com

Ouch:
Quote:
The site ahead contains harmful programs

Attackers on os688.com might attempt to trick you into installing programs that harm your browsing experience (for example, by changing your homepage or showing extra ads on sites you visit).


Trust me, os688.com no virus, Qampp can download it, PHP the switch, Apache etc.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Other Software
Page 1 of 1